curl --request POST \
--url https://memex.garden/api/list-shared-library-entry-links \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'{
"links": [
{
"sharedResourceId": "<string>",
"accessMode": "public_link",
"contentId": "<string>",
"contentType": "web",
"createdAt": "2023-11-07T05:31:56Z",
"publicToken": "<string>",
"title": "<string>",
"description": "<string>"
}
]
}{
"error": "Unauthorized"
}{
"error": "Internal server error",
"message": "<string>"
}API reference
List public sharing links
Lists public share links for saved content owned by the authenticated user. Optional filters narrow the list by content ID, content type, or public access mode.
POST
/
list-shared-library-entry-links
curl --request POST \
--url https://memex.garden/api/list-shared-library-entry-links \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'{
"links": [
{
"sharedResourceId": "<string>",
"accessMode": "public_link",
"contentId": "<string>",
"contentType": "web",
"createdAt": "2023-11-07T05:31:56Z",
"publicToken": "<string>",
"title": "<string>",
"description": "<string>"
}
]
}{
"error": "Unauthorized"
}{
"error": "Internal server error",
"message": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
public_link grants view access. public_link_contribute grants collaborative access.
Available options:
public_link, public_link_contribute Optional saved content entity ID to filter by.
Exact persisted content_entity.type value.
Available options:
web, pdf, youtube, twitter, instagram, tiktok, facebook, linkedin, pinterest, reddit, chatgpt, claude, annotation, image, transcribedMedia, audioRecording, selector, chatThread, twitterProfile, subreddit, youtubeChannel Response
Public sharing links
Show child attributes
Show child attributes

